<?php
/**
 * ProductTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * ProductTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы товаров: * 1 - штучный * 2 - весовой * 3 - фасованный
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductTypeEnum
{
    
    /** Штучный */
    public const PIECE = 1;
    
    /** Весовой */
    public const WEIGHT = 2;
    
    /** Фасованный */
    public const PACKED = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PIECE,
            self::WEIGHT,
            self::PACKED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PIECE => 'Штучный',
            self::WEIGHT => 'Весовой',
            self::PACKED => 'Фасованный',
        ];
    }
}


